OMV6.0.27-1 (Shaitan) - error when creating NFS share

  • I'm trying to create a NFS share for a CCTV Camera and get this error message below, everytime.

    What am I doing wrong?

    Any guidance would be appreciated. :)



    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; export LANGUAGE=; omv-salt deploy run --no-color fstab 2>&1' with exit code '1': pinky:

    Data failed to compile:

    ----------

    Rendering SLS 'base:omv.deploy.fstab.90remotemount' failed: Jinja error: 'fstab'

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/jinja2/sandbox.py", line 387, in getitem

    return obj[argument]

    File "/usr/lib/python3/dist-packages/openmediavault/collectiontools.py", line 126, in __getitem__

    return dict.__getitem__(self, key)

    KeyError: 'fstab'


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 497, in render_jinja_tmpl

    output = template.render(**decoded_context)

    File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1090, in render

    self.environment.handle_exception()

    File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 832, in handle_exception

    reraise(*rewrite_traceback_stack(source=source))

    File "/usr/lib/python3/dist-packages/jinja2/_compat.py", line 28, in reraise

    raise value.with_traceback(tb)

    File "<template>", line 3, in top-level template code

    File "/usr/lib/python3/dist-packages/jinja2/filters.py", line 1324, in select_or_reject

    if func(item):

    File "/usr/lib/python3/dist-packages/jinja2/filters.py", line 1317, in <lambda>

    return seq, lambda item: modfunc(func(transfunc(item)))

    File "/usr/lib/python3/dist-packages/jinja2/filters.py", line 74, in attrgetter

    item = environment.getitem(item, part)

    File "/usr/lib/python3/dist-packages/jinja2/sandbox.py", line 396, in getitem

    value = getattr(obj, attr)

    File "/usr/lib/python3/dist-packages/openmediavault/collectiontools.py", line 126, in __getitem__

    return dict.__getitem__(self, key)

    KeyError: 'fstab'


    ; line 3


    ---

    {% set config = salt['omv_conf.get']('conf.service.remotemount') %}

    {% set cifsCreds = '/root/.cifscredentials-' %}

    {% for mnt in config.mount | selectattr('fstab') %} <======================

    {% set remotemount = salt['omv_conf.get']('conf.system.filesystem.mountpoint', mnt.mntentref) %}

    {% set mntDir = remotemount.dir %}

    {% set mount = True %}

    {% set options = [] %}

    {% set options = mnt.options.split(',') %}

    [...]

    ---

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!